apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: flux-components-external-dns
  namespace: flux-system
spec:
  interval: 10m0s
  path: ./external-dns
  prune: true
  sourceRef:
    kind: GitRepository
    name: flux-components
  postBuild:
    substituteFrom:
      - kind: ConfigMap
        name: flux-cluster-vars
  healthChecks:
    - apiVersion: helm.toolkit.fluxcd.io/v2
      kind: HelmRelease
      name: external-dns
      namespace: external-dns
  dependsOn:
    - name: flux-components-base
